Bug 785085 (CVE-2012-0442)

Summary: CVE-2012-0442 Mozilla: memory safety hazards in 10.0/1.9.2.26 (MFSA 2012-01)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: caillon, gecko-bugs-nobody, mjc, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20120131,reported=20120127,source=mozilla,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-4/firefox=affected,rhel-5/firefox=affected,rhel-6/firefox=affected,rhel-4/thunderbird=affected,rhel-5/thunderbird=affected,rhel-6/thunderbird=affected,rhel-4/seamonkey=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-01 04:04:00 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Huzaifa S. Sidhpurwala 2012-01-27 03:25:40 EST
Multiple memory corruption bugs were found in Firefox.  These issues could cause Firefox to crash or possibly lead to arbitrary code execution.

Reference:
https://bugzilla.mozilla.org/show_bug.cgi?id=693399
https://bugzilla.mozilla.org/show_bug.cgi?id=705347
Comment 1 Vincent Danen 2012-01-31 15:19:48 EST
External References:

http://www.mozilla.org/security/announce/2012/mfsa2012-01.html
Comment 2 errata-xmlrpc 2012-01-31 18:44:53 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0080 https://rhn.redhat.com/errata/RHSA-2012-0080.html
Comment 3 errata-xmlrpc 2012-01-31 19:07:15 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0079 https://rhn.redhat.com/errata/RHSA-2012-0079.html
Comment 4 errata-xmlrpc 2012-02-01 03:25:02 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2012:0085 https://rhn.redhat.com/errata/RHSA-2012-0085.html
Comment 5 errata-xmlrpc 2012-02-01 03:25:13 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2012:0084 https://rhn.redhat.com/errata/RHSA-2012-0084.html